WEW(1)

NAME
wew - window event watcher

SYNOPSIS
wew [-al] [-m mask]

DESCRIPTION
wew is a daemon that prints X events to stdout in the form : ev:wid. See section EVENT VALUES for the values of ev.

wew will always register the XCB_EVENT_MASK_SUBSTRUCTURE_NOTIFY on the root window.

-l  List event mask values

-m mask
    Set event mask to mask (defaults to XCB_EVENT_MASK_ENTER_NOTIFY)

EVENT VALUES
Each event returned by the X server has a specific value:
XCB_KEY_PRESS .......... 2
XCB_KEY_RELEASE ........ 3
XCB_BUTTON_PRESS ....... 4
XCB_BUTTON_RELEASE ..... 5
XCB_MOTION_NOTIFY ...... 6
XCB_ENTER_NOTIFY ....... 7
XCB_LEAVE_NOTIFY ....... 8
XCB_FOCUS_IN ........... 9
XCB_FOCUS_OUT .......... 10
XCB_KEYMAP_NOTIFY ...... 11
XCB_EXPOSE ............. 12
XCB_GRAPHICS_EXPOSURE .. 13
XCB_NO_EXPOSURE ........ 14
XCB_VISIBILITY_NOTIFY .. 15
XCB_CREATE_NOTIFY ...... 16
XCB_DESTROY_NOTIFY ..... 17
XCB_UNMAP_NOTIFY ....... 18
XCB_MAP_NOTIFY ......... 19
XCB_MAP_REQUEST ........ 20
XCB_REPARENT_NOTIFY .... 21
XCB_CONFIGURE_NOTIFY ... 22
XCB_CONFIGURE_REQUEST .. 23
XCB_GRAVITY_NOTIFY ..... 24
XCB_RESIZE_REQUEST ..... 25
XCB_CIRCULATE_NOTIFY ... 26
XCB_CIRCULATE_REQUEST .. 27
XCB_PROPERTY_NOTIFY .... 28
XCB_SELECTION_CLEAR .... 29
XCB_SELECTION_REQUEST .. 30
XCB_SELECTION_NOTIFY ... 31
XCB_COLORMAP_NOTIFY .... 32
XCB_CLIENT_MESSAGE ..... 33
XCB_MAPPING_NOTIFY ..... 34
XCB_GE_GENERIC ......... 35

ENVIRONMENT
wew acts on the X display specified by the DISPLAY variable.